Skip to main content

Create Repair

POST 

/api/repairs

Create Repair.

Required scope: repairs:write

Grant this scope to your token under Settings → Developer → Personal Access Tokens.

Request fields:

  • customer_id (required): integer, exists:customers,id
  • sales_order_id (optional): integer, exists:sales_orders,id
  • rma_id (optional): integer, exists:rmas,id
  • warehouse_id (required): integer, exists:warehouses,id
  • source (optional): Enum:in:"internal","return_receipt","portal","b2b_portal","api","loop","aftership","corso","claimlane","returngo","shopify","gorgias","form"
  • external_source_id (optional): string, max:120
  • inbound_method (required): Enum:in:"customer_ships","drop_off","already_received","no_return_needed"
  • ship_to_address_id (optional): integer, exists:addresses,id
  • contact_email (optional): email, max:190
  • contact_phone (optional): string, max:40
  • assignee_user_id (optional): integer
  • submit (optional): boolean
  • create_rma (optional): boolean
  • issue_inbound_label (optional): boolean
  • send_notification (optional): boolean
  • attachment_ids (optional): array
  • attachment_ids.* (optional): integer, exists:repair_attachments,id
  • lines (required): array, max:500
  • lines.*.product_id (required): integer, exists:products,id
  • lines.*.component_product_id (optional): integer, exists:products,id
  • lines.*.customer_product_text (optional): string, max:255
  • lines.*.needs_product_match (optional): boolean
  • lines.*.requested_service (optional): Enum:in:"repair","replate","replace"
  • lines.*.quantity (optional): integer, min:1, max:100000
  • lines.*.sales_order_line_id (optional): integer, exists:sales_order_lines,id
  • lines.*.rma_line_id (optional): integer, exists:rma_lines,id
  • lines.*.serial_number_id (optional): integer, exists:serial_numbers,id
  • lines.*.lot_number (optional): string, max:100
  • lines.*.warranty_registration_id (optional): integer, exists:warranty_registrations,id
  • lines.*.ownership (optional): Enum:in:"customer","brand"
  • lines.*.issue_type_ids (optional): array
  • lines.*.issue_type_ids.* (optional): integer, exists:repair_issue_types,id
  • lines.*.customer_description (optional): string, max:5000
  • lines.*.technician_user_id (optional): integer
  • lines.*.root_cause (optional): Enum:in:"manufacturing_defect","wear_and_tear","accidental_damage","misuse","shipping_damage","no_fault_found","unknown"
  • lines.*.purchase_date (optional): date
  • lines.*.attachment_ids (optional): array, max:20
  • lines.*.attachment_ids.* (optional): integer, exists:repair_attachments,id
  • lines.*.custody_warehouse_location_id (optional): integer, exists:warehouse_locations,id

Permission: repairs.create. Authentication: Bearer token with the repairs:read / write scope.

Request​

Responses​

OK

Response Headers
    Content-Type